Loading...
Searching...
No Matches
irr::video::SLight Struct Reference

structure for holding data describing a dynamic point light. More...

`#include <SLight.h>`

## Public Member Functions

| SLight ()

## Public Attributes

SColorf | AmbientColor
| Ambient color emitted by the light.
core::vector3df | Attenuation
| Attenuation factors (constant, linear, quadratic).
bool | CastShadows:1
| Read-ONLY! Does the light cast shadows?
SColorf | DiffuseColor
| Diffuse color emitted by the light.
core::vector3df | Direction
| Read-ONLY! Direction of the light.
f32 | Falloff
| The light strength's decrease between Outer and Inner cone.
f32 | InnerCone
| The angle of the spot's inner cone. Ignored for other lights.
f32 | OuterCone
| The angle of the spot's outer cone. Ignored for other lights.
core::vector3df | Position
| Read-ONLY! Position of the light.
f32 | Radius
| Read-ONLY! Radius of light. Everything within this radius will be lighted.
SColorf | SpecularColor
| Specular color emitted by the light.
E_LIGHT_TYPE | Type
| Read-ONLY! Type of the light. Default: ELT_POINT.

## Detailed Description

structure for holding data describing a dynamic point light.

Irrlicht supports point lights, spot lights, and directional lights.

Definition at line 41 of file SLight.h.

## Constructor & Destructor Documentation

## SLight()

irr::video::SLight::SLight | ( |  | ) |

inline

Definition at line 43 of file SLight.h.

References AmbientColor, Attenuation, CastShadows, DiffuseColor, Direction, irr::video::ELT_POINT, Falloff, InnerCone, OuterCone, Position, Radius, SpecularColor, and Type.

## Member Data Documentation

## AmbientColor

SColorf irr::video::SLight::AmbientColor

Ambient color emitted by the light.

Definition at line 51 of file SLight.h.

Referenced by SLight().

## Attenuation

core::vector3df irr::video::SLight::Attenuation

Attenuation factors (constant, linear, quadratic).

Changes the light strength fading over distance. Can also be altered by setting the radius, Attenuation will change to (0,1.f/radius,0). Can be overridden after radius was set.

Definition at line 65 of file SLight.h.

Referenced by SLight().

## CastShadows

bool irr::video::SLight::CastShadows

Read-ONLY! Does the light cast shadows?

Definition at line 91 of file SLight.h.

Referenced by SLight().

## DiffuseColor

SColorf irr::video::SLight::DiffuseColor

Diffuse color emitted by the light.

This is the primary color you want to set.

Definition at line 55 of file SLight.h.

Referenced by SLight().

## Direction

core::vector3df irr::video::SLight::Direction

Read-ONLY! Direction of the light.

If Type is ELT_POINT, it is ignored. Changed via light scene node's rotation.

Definition at line 82 of file SLight.h.

Referenced by SLight().

## Falloff

f32 irr::video::SLight::Falloff

The light strength's decrease between Outer and Inner cone.

Definition at line 74 of file SLight.h.

Referenced by SLight().

## InnerCone

f32 irr::video::SLight::InnerCone

The angle of the spot's inner cone. Ignored for other lights.

Definition at line 71 of file SLight.h.

Referenced by SLight().

## OuterCone

f32 irr::video::SLight::OuterCone

The angle of the spot's outer cone. Ignored for other lights.

Definition at line 68 of file SLight.h.

Referenced by SLight().

## Position

core::vector3df irr::video::SLight::Position

Read-ONLY! Position of the light.

If Type is ELT_DIRECTIONAL, it is ignored. Changed via light scene node's position.

Definition at line 78 of file SLight.h.

Referenced by SLight().

## Radius

f32 irr::video::SLight::Radius

Read-ONLY! Radius of light. Everything within this radius will be lighted.

Definition at line 85 of file SLight.h.

Referenced by SLight().

## SpecularColor

SColorf irr::video::SLight::SpecularColor

Specular color emitted by the light.

For details how to use specular highlights, see SMaterial::Shininess

Definition at line 59 of file SLight.h.

Referenced by SLight().

## Type

E_LIGHT_TYPE irr::video::SLight::Type

Read-ONLY! Type of the light. Default: ELT_POINT.

Definition at line 88 of file SLight.h.

Referenced by SLight().

The documentation for this struct was generated from the following file:

- SLight.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0